MU VIEW(1)

NAME

mu-view - display an e-mail message file

SYNOPSIS

mu [​COMMON OPTIONS​] view [​OPTIONS​] [​FILE...]

DESCRIPTION

mu view is the mu command for displaying e-mail message files. It works on message files and does not require the message to be indexed in the database.

The command shows some common headers (From:, To:, Cc:, Bcc:, Subject: and Date:), the list of attachments and either the plain-text or html body of the message (if any), or its s-expression representation.

If no message file is provided, the command reads the message from standard-input.

VIEW OPTIONS

  -o, --format format

Use the given output format, one of:

—   plain: use the plain-text body; this is the default,

—   html: use the HTML body,

—   sexp: show the S-expression representation of the message.

  --summary-len number

Instead of displaying the full message, output a summary based upon the first number lines of the message.

  --terminate

Terminate messages with \​f (form-feed) characters when displaying them. This is useful when you want to further process them.

  --decrypt

Attempt to decrypt encrypted message bodies. This is only possible if mu was built with crypto-support.

  --auto-retrieve

Attempt to retrieve crypto-keys automatically from the network, when needed.

COMMON OPTIONS

  -d, --debug

Makes mu generate extra debug information, useful for debugging the program itself. By default, debug information goes to the log file, ~/.cache/mu/mu.log. It can safely be deleted when mu is not running. When running with --debug option, the log file can grow rather quickly. See the note on logging below.

  -q, --quiet

Causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

Causes mu to not output log messages to standard error, in addition to sending them to the log file.

  --nocolor

Do not use ANSI colors. The environment variable NO_COLOR can be used as an alternative to --nocolor.

  -V, --version

Prints mu version and copyright information.

  -h, --help

Lists the various command line options.

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.12.6.

Copyright © 2008-2024 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

mu​(1)